{
  pkgs,
  lib,
  config,
  inputs,
  system,
  ...
}: let
  cfg = config.mods;
in
  with lib; {
    imports = [inputs.sops-nix.homeManagerModules.sops];
    sops = {
      age.keyFile = "/persist/var/lib/sops-nix/key.txt";
      defaultSopsFile = ./secrets.yaml;
      secrets.zipline-auth = {};
      secrets.atuin-auth = {};
      secrets.hr-password = {};
      secrets.sops-key = {};
    };
  }
